Index: tools/build-ccheck.sh
===================================================================
--- tools/build-ccheck.sh	(revision 84a1a546f62a2ba0f913f8f1bfce8d4bc68d7aa4)
+++ tools/build-ccheck.sh	(revision 84a1a546f62a2ba0f913f8f1bfce8d4bc68d7aa4)
@@ -0,0 +1,32 @@
+#!/bin/bash
+#
+# Copyright (c) 2018 Jiri Svoboda
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+#
+# - Redistributions of source code must retain the above copyright
+#   notice, this list of conditions and the following disclaimer.
+# - Redistributions in binary form must reproduce the above copyright
+#   notice, this list of conditions and the following disclaimer in the
+#   documentation and/or other materials provided with the distribution.
+# - The name of the author may not be used to endorse or promote products
+#   derived from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+
+git clone https://github.com/jxsvoboda/sycek sycek
+cd sycek
+make
Index: tools/ccheck.sh
===================================================================
--- tools/ccheck.sh	(revision 84a1a546f62a2ba0f913f8f1bfce8d4bc68d7aa4)
+++ tools/ccheck.sh	(revision 84a1a546f62a2ba0f913f8f1bfce8d4bc68d7aa4)
@@ -0,0 +1,56 @@
+#!/bin/bash
+#
+# Copyright (c) 2018 Jiri Svoboda
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+#
+# - Redistributions of source code must retain the above copyright
+#   notice, this list of conditions and the following disclaimer.
+# - Redistributions in binary form must reproduce the above copyright
+#   notice, this list of conditions and the following disclaimer in the
+#   documentation and/or other materials provided with the distribution.
+# - The name of the author may not be used to endorse or promote products
+#   derived from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+
+ccheck=tools/sycek/ccheck
+
+srepcnt=0
+snorepcnt=0
+fcnt=0
+
+find abi kernel boot uspace -type f -regex '^.*\.[ch]$' | (
+while read fname; do
+	$ccheck $fname >/tmp/ccheck.out 2>&1
+	rc=$?
+	if [ .$rc == .0 ]; then
+		if [ -s /tmp/ccheck.out ] ; then
+			srepcnt=$((srepcnt + 1))
+			echo '**' Reports for file $fname: '**'
+			cat /tmp/ccheck.out
+		else
+			snorepcnt=$((snorepcnt + 1))
+		fi
+	else
+		fcnt=$((fcnt + 1))
+	fi
+done
+
+echo "Checked files with issues: $srepcnt"
+echo "Checked files without issues: $snorepcnt"
+echo "Not checked files: $fcnt"
+)
